Skip to content

MCP API (1.0.0)

Search, check availability, and purchase traditional DNS domains. This API enables AI assistants to help users find and buy domain names.

Languages
Servers
Production server
https://api.unstoppabledomains.com

Portfolio

Manage owned domains (requires authentication)

Operations

Contacts

Manage ICANN contacts for DNS domain registration (requires authentication)

Operations

List ICANN contacts

Request

List ICANN contacts configured for the authenticated user's account. Required for DNS domain registration (.com, .org, etc.).

Security
bearerAuth
Bodyapplication/jsonrequired
includeDisabledboolean

Include disabled contacts (default: false)

curl -i -X POST \
  https://api.unstoppabledomains.com/mcp/v1/actions/ud_contacts_list \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "includeDisabled": true
  }'

Responses

List of ICANN contacts

Bodyapplication/json
contactsArray of objects
countnumber

Total number of contacts

accountEmailstring or null

User's account email (masked) - suggest using for new contacts for auto-verification

accountEmailHintstring or null

Tip about automatic verification when contact email matches account email

Response
application/json
{ "contacts": [ {} ], "count": 0, "accountEmail": "string", "accountEmailHint": "string" }

Create ICANN contact

Request

Create a new ICANN contact for DNS domain registration. Required for .com, .org, .net, etc.

Security
bearerAuth
Bodyapplication/jsonrequired
firstNamestringrequired

Contact first name

lastNamestringrequired

Contact last name

emailstring(email)required

Contact email address

phoneobjectrequired
phone.​dialingPrefixstringrequired

Phone country code (e.g., "1")

phone.​numberstringrequired

Phone number

streetstringrequired

Street address

citystringrequired

City

stateProvincestringrequired

State/province code

postalCodestringrequired

Postal/ZIP code

countryCodestringrequired

Two-letter ISO country code

organizationstring

Company name (optional)

curl -i -X POST \
  https://api.unstoppabledomains.com/mcp/v1/actions/ud_contact_create \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "firstName": "string",
    "lastName": "string",
    "email": "user@example.com",
    "phone": {
      "dialingPrefix": "string",
      "number": "string"
    },
    "street": "string",
    "city": "string",
    "stateProvince": "string",
    "postalCode": "string",
    "countryCode": "string",
    "organization": "string"
  }'

Responses

Contact created

Bodyapplication/json
successboolean
contactobject
messagestring
Response
application/json
{ "success": true, "contact": { "operationId": "string", "status": "string" }, "message": "string" }

Cart

Shopping cart management, payment methods, and checkout (requires authentication)

Operations

Marketplace

List domains for sale, manage listings, and handle offers (requires authentication)

Operations

Leads

Domain conversations and messaging between buyers and sellers (requires authentication)

Operations

DNS Management

Manage DNS records, nameservers, and hosting configurations for owned domains (requires authentication)

Operations

Domain Management

Manage domain settings like auto renewal (requires authentication)

Operations